Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface ExternalRef

All Superinterfaces:
  Persistent, java.io.Serializable

public interface ExternalRef
extends Persistent

Reference to object outside ensembl database.

Field Summary
`static int` | `CLONE_FRAGMENT` Clone fragment type.
`static int` | `GENE` Gene type
`static int` | `TRANSCRIPT` Transcript type.
`static int` | `TRANSLATION` Translation type

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayID()`
`ExternalDatabase` | `getExternalDatabase()`
`long` | `getExternalDbId()`
`java.lang.String` | `getGoLinkageType()` Get the linkage_type column on the go_xref table if this is a GO xref.
`java.lang.String` | `getInfoText()` Info text for the xref.
`java.lang.String` | `getInfoType()` Info type for the xref.
`long` | `getObjectXrefID()`
`java.lang.String` | `getPrimaryID()`
`int` | `getQueryIdentity()` Percentage of the ensembl object included in an overlapping region with the external object.
`long` | `getQueryInternalID()` Internal ID of the thing this is an external reference for.
`java.util.List` | `getSynonyms()`
`int` | `getTargetIdentity()` Percentage of the external object included in an overlapping region with the ensembl object.
`java.lang.String` | `getVersion()`
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayID(java.lang.String displayID)`
`void` | `setExternalDatabase(ExternalDatabase externalDatabase)`
`void` | `setExternalDbId(long externalDbId)`
`void` | `setGoLinkageType(java.lang.String linkageType)` Set the linkage_type column on the go_xref table if this is a GO xref.
`void` | `setInfoText(java.lang.String text)` Set the Info text for the xref.
`void` | `setInfoType(java.lang.String type)` Set the Info type for the xref.
`void` | `setObjectXrefID(long objectXrefID)`
`void` | `setPrimaryID(java.lang.String primaryID)`
`void` | `setQueryIdentity(int queryIdentity)`
`void` | `setQueryInternalID(long queryInternalID)`
`void` | `setSynonyms(java.util.List synonyms)`
`void` | `setTargetIdentity(int targetIdentity)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Field Detail

### GENE

    public static final int GENE

  Gene type

  See Also:
    Constant Field Values

### TRANSLATION

    public static final int TRANSLATION

  Translation type

  See Also:
    Constant Field Values

### TRANSCRIPT

    public static final int TRANSCRIPT

  Transcript type.

  See Also:
    Constant Field Values

### CLONE_FRAGMENT

    public static final int CLONE_FRAGMENT

  Clone fragment type.

  See Also:
    Constant Field Values

Method Detail

### setSynonyms

    public void setSynonyms(java.util.List synonyms)

### getSynonyms

    public java.util.List getSynonyms()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDisplayID

    public java.lang.String getDisplayID()

### setDisplayID

    public void setDisplayID(java.lang.String displayID)

### getPrimaryID

    public java.lang.String getPrimaryID()

### setPrimaryID

    public void setPrimaryID(java.lang.String primaryID)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### setObjectXrefID

    public void setObjectXrefID(long objectXrefID)

### getObjectXrefID

    public long getObjectXrefID()

### getQueryInternalID

    public long getQueryInternalID()

  Internal ID of the thing this is an external reference for.

### setQueryInternalID

    public void setQueryInternalID(long queryInternalID)

### getTargetIdentity

    public int getTargetIdentity()

  Percentage of the external object included in an overlapping region with the ensembl object.

### setTargetIdentity

    public void setTargetIdentity(int targetIdentity)

### getQueryIdentity

    public int getQueryIdentity()

  Percentage of the ensembl object included in an overlapping region with the external object.

### setQueryIdentity

    public void setQueryIdentity(int queryIdentity)

### getExternalDatabase

    public ExternalDatabase getExternalDatabase()

### setExternalDatabase

    public void setExternalDatabase(ExternalDatabase externalDatabase)

### getExternalDbId

    public long getExternalDbId()

### setExternalDbId

    public void setExternalDbId(long externalDbId)

### setGoLinkageType

    public void setGoLinkageType(java.lang.String linkageType)

  Set the linkage_type column on the go_xref table if this is a GO xref.

### getGoLinkageType

    public java.lang.String getGoLinkageType()

  Get the linkage_type column on the go_xref table if this is a GO xref.

### getInfoType

    public java.lang.String getInfoType()

  Info type for the xref. For example type is PROJECTION for an xref projected from another database.

  Returns:
    info type. Can be null.

### setInfoType

    public void setInfoType(java.lang.String type)

  Set the Info type for the xref. For example type is PROJECTION for an xref projected from another database.

  Parameters:
    `type` - info type. Can be null.

### getInfoText

    public java.lang.String getInfoText()

  Info text for the xref. For example the source database this xref was projected from.

  Returns:
    info type. Can be null.

### setInfoText

    public void setInfoText(java.lang.String text)

  Set the Info text for the xref.

  Parameters:
    `text` - info text. Can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD